LibOFX: cmdline.h Source File

Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ofxconnect/cmdline.h

    00001 /* cmdline.h */
    00002
    00003 /* File autogenerated by gengetopt version 2.13  */
    00004
    00005 #ifndef CMDLINE_H
    00006 #define CMDLINE_H
    00007
    00008 /* If we use autoconf.  */
    00009 #ifdef HAVE_CONFIG_H
    00010 #include "config.h"
    00011 #endif
    00012
    00013 #ifdef __cplusplus
    00014 extern "C" {
    00015 #endif /* __cplusplus */
    00016
    00017 #ifndef CMDLINE_PARSER_PACKAGE
    00018 #define CMDLINE_PARSER_PACKAGE PACKAGE
    00019 #endif
    00020
    00021 #ifndef CMDLINE_PARSER_VERSION
    00022 #define CMDLINE_PARSER_VERSION VERSION
    00023 #endif
    00024
    00025 struct gengetopt_args_info
    00026 {
    00027   int statement_req_flag;       /* Request for a statement (default=off).  */
    00028   int accountinfo_req_flag;     /* Request for a list of accounts (default=off).  */
    00029   char * fid_arg;       /* FI identifier.  */
    00030   char * org_arg;       /* FI org tag.  */
    00031   char * bank_arg;      /* IBAN bank identifier.  */
    00032   char * broker_arg;    /* Broker identifier.  */
    00033   char * user_arg;      /* User name.  */
    00034   char * pass_arg;      /* Password.  */
    00035   char * acct_arg;      /* Account ID.  */
    00036   int type_arg; /* Account Type 1=checking 2=invest 3=ccard.  */
    00037   long past_arg;        /* How far back to look from today (in days).  */
    00038   char * url_arg;       /* Url to POST the data to (otherwise goes to stdout).  */
    00039
    00040   int help_given ;      /* Whether help was given.  */
    00041   int version_given ;   /* Whether version was given.  */
    00042   int statement_req_given ;     /* Whether statement-req was given.  */
    00043   int accountinfo_req_given ;   /* Whether accountinfo-req was given.  */
    00044   int fid_given ;       /* Whether fid was given.  */
    00045   int org_given ;       /* Whether org was given.  */
    00046   int bank_given ;      /* Whether bank was given.  */
    00047   int broker_given ;    /* Whether broker was given.  */
    00048   int user_given ;      /* Whether user was given.  */
    00049   int pass_given ;      /* Whether pass was given.  */
    00050   int acct_given ;      /* Whether acct was given.  */
    00051   int type_given ;      /* Whether type was given.  */
    00052   int past_given ;      /* Whether past was given.  */
    00053   int url_given ;       /* Whether url was given.  */
    00054
    00055   char **inputs ; /* unamed options */
    00056   unsigned inputs_num ; /* unamed options number */
    00057 } ;
    00058
    00059 int cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info);
    00060 int cmdline_parser2 (int argc, char * const *argv, struct gengetopt_args_info *args_info, int override, int initialize, int check_required);
    00061
    00062 void cmdline_parser_print_help(void);
    00063 void cmdline_parser_print_version(void);
    00064
    00065 void cmdline_parser_init (struct gengetopt_args_info *args_info);
    00066 void cmdline_parser_free (struct gengetopt_args_info *args_info);
    00067
    00068 int cmdline_parser_required (struct gengetopt_args_info *args_info, const char *prog_name);
    00069
    00070
    00071 #ifdef __cplusplus
    00072 }
    00073 #endif /* __cplusplus */
    00074 #endif /* CMDLINE_H */